import { select, range } from 'd3'
import { fruitBowl } from './fruitbowl'

const svg = select('svg')

const makeFruit = type => ({
  type,
  id: Math.random()
})
let fruits = range(5).map(() => makeFruit('apple'))

const render = () => {
  fruitBowl(svg, {
    fruits,
    height: +svg.attr('height')
  })
}

render()

// eat an apple...
setTimeout(() => {
  fruits.pop()
  render()
}, 1000)

// replace an apple with a lemon
setTimeout(() => {
  fruits[Math.floor(Math.random() * fruits.length)].type = 'lemon'
  render()
}, 2000)

// eat another piece of fruit
setTimeout(() => {
  fruits.splice(Math.floor(Math.random() * fruits.length), 1)
  render()
}, 3000)
